#
# spec file for package knemo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2007-2009,2011,2012 Herbert Graeber
# Copyright (c) 2010 Pascal Bleser
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           knemo
Version:        0.7.7git.20170520T005915~f3afe2e
Release:        lp150.1.8
Summary:        The KDE Network Monitor
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://kde-apps.org/content/show.php/KNemo?content=12956
Source:         %{name}-%{version}.tar.xz
Source1:        knemo-rpmlintrc
Source2:        knemo-translations.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kcmutils-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libiw-devel
BuildRequires:  libksysguard5-devel
BuildRequires:  libnl3-devel
BuildRequires:  update-desktop-files
BuildRequires:  wireless-tools
BuildRequires:  plasma-framework-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KNemo offers a network monitor similar to the one found in Windows. For every
network interface it displays an icon in the systray.

%lang_package

%prep
%setup -q -a 2
# build translations
echo "add_subdirectory( po )" >> CMakeLists.txt

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

%suse_update_desktop_file %{buildroot}%_kf5_applicationsdir/knemo.desktop Qt KDE System Monitor

%find_lang %{name} %{name}.lang
%find_lang kcm_%{name} %{name}.lang

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_kf5_bindir}/knemo
%{_kf5_servicesdir}/*.desktop
%{_kf5_plugindir}/*.so
%{_kf5_notifydir}/*rc
%{_kf5_applicationsdir}/*.desktop
%{_kf5_configdir}/autostart/*.desktop
%{_kf5_iconsdir}/hicolor/*/apps/knemo.*
%{_kf5_iconsdir}/hicolor/*/status/knemo*.*
%{_kf5_sharedir}/knemo/
%{_kf5_sharedir}/kconf_update/
%{_kf5_iconsdir}/breeze-dark/
%{_kf5_iconsdir}/breeze/
%{_kf5_iconsdir}/oxygen/scalable/status/*.svg
%{_kf5_plasmadir}/desktoptheme/

%files lang -f %{name}.lang
%doc COPYING

%changelog
* Mon Dec 11 2017 wbauer@tmo.at
- Split out translations in a separate lang package
* Sat Dec  9 2017 wbauer@tmo.at
- Update to latest snapshot of the "frameworks" git branch (using
  Qt5 and KDE Frameworks 5), the KDE4 version cannot be built or
  installed anymore on Tumbleweed and Leap 15 as QtWebKit4 is to be
  dropped and parts needed to build knemo have been stripped from
  kdebase4-workspace therefore
- Add knemo-translations.tar.xz containing the translations from
  the 0.7.7 version
* Thu Dec  8 2016 fabian@ritter-vogt.de
- Revert kde4_runtime_requires change
* Tue Nov 29 2016 olaf@aepfle.de
- Expand macro kde4_runtime_requires only when its available
  to fix quilt setup
* Fri Aug 21 2015 wbauer@tmo.at
- update to version 0.7.7
  * Add a global shortcut to toggle traffic plotters.
  * Find the interface of the default gateway again. (BR 328752)
  * Log statistics to the correct time if we're resuming from
    suspend. (BR 332086)
  * Fix translation word puzzles, missing contexts.
    (BR 329095, BR 329097)
  * Add an include to fix broken compilation when using
    libnl >= 3.2.26.
- Remove fix-show-icon-when-not-configured.patch, included upstream
* Sat Aug  2 2014 wbauer@tmo.at
- Add fix-show-icon-when-not-configured.patch: fixes kde#328752
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Wed Dec  5 2012 herbert@graeber-clan.de
- update to version 0.7.6
  * Tweak the dialogs to make them a bit more compact
  * Make the traffic plotter widgets behave more like those in the KDE
    System Monitor
  * Fix a few minor bugs that gave us wrong values in the traffic plotter
    range
* Fri Nov  9 2012 herbert@graeber-clan.de
- Update to version 0.7.5
  * Fix building on ARM architecture
  * Version 0.7.4 failed to create tables in new statistics databases. Fix that.
  * Possibly fix a plotter crash
- Remove knemo-arm.patch, because fixed upstream
* Tue Nov  6 2012 herbert@graeber-clan.de
- Fix build for arm
* Wed Oct 31 2012 herbert@graeber-clan.de
- Update to version 0.7.4
  * Add monochrome icon theme contributed by Vinícius Sabino.
  * Port to libnl3
  * Remove support for the legacy system tray icon
  * Transition from deprecated KCalendarSystem calls
  * Drop embedded plotter code in favor of libksignalplotter
  * Several fixes for FreeBSD
* Sun Jan  8 2012 herbert@graeber-clan.de
- update to version 0.7.3
  * By request, add a configure switch to disable wireless support.
- update rpmlintrc file
* Wed Sep 21 2011 idonmez@suse.com
- Select libnl-1_1-devel for Factory
- Cleanup spec file
* Mon Sep 19 2011 cfarrell@suse.com
- license update: GPL-2.0+
  Use SPDX syntax (http://www.spdx.org/licenses)
* Sun Aug  7 2011 herbert@graeber-clan.de
- update to version 0.7.2
  * fix loading/calculating off-peak traffic
  * use bugs.kde.org for bug reports
  * keep the pixmap cache size under control
* Fri Apr 15 2011 herbert@graeber-clan.de
- the licenses package does not exist anymore
* Thu Apr 14 2011 herbert@graeber-clan.de
- update to 0.7.1:
  * bugfixes
  - fix a warning about K_EXPORT_COMPONENT_FACTORY
  - fix how the poll interval gets validated
  * add url to spec file
* Mon Dec  6 2010 tittiatcoke@gmail.com
- update to 0.7.0:
  * statistics changes:
  - statistics are now stored in an SQLite 3 database
  - custom billing periods are based on rules; this includes
    more flexible period lengths and the ability to track
    peak/off-peak hours
  - support for an arbitrary number of traffic notifications
  * ui changes:
  - the statistics dialog entries have tooltips; select
    multiple entries to get their sum
  * bugfixes:
  - reset traffic counters when an interface becomes unavailable
  - mark pointopoint interfaces as connected only if they have
    an ip address
  - fix build on FreeBSD and GNU/kFreeBSD
  - netload icon theme shouldn't use the unavailable color as
    its background
* Tue Jun 15 2010 pascal.bleser@opensuse.org
- update to 0.6.3:
  * save changes to traffic threshold setting
  * add option to report traffic rate in bit/s
  * update the signal plotter from KDE SC 4.4 branch; a few minor
    plotter config options were dropped as a result
  * on startup sync recent traffic statistics with vnstat if it's
    available; this should help KNemo account for traffic between
    sessions
  * fix possible hang when text icon theme uses fixed fonts
* Fri Dec  4 2009 tittiatcoke@gmail.com
- Update to version 0.6.0
  * backend changes:
  - added IPv6 support
  - polling periods can range from 0.1 to 2 seconds
  - added notifications for when an interface becomes available/unavailable
  - kill custom commands that are still running when KNemo closes
  * statistics changes:
  - added weekly statistics
  - monthly statistics can act like "billing periods". Billing periods
    can start on an arbitrary day and can span 1-6 months.
  - optional notification if a billing period's traffic exceeds a threshold
  * ui changes:
  - improved icon theming modeled after the network status icons in the
    freedesktop.org icon naming spec
  - added a text icon theme that reports upload/download speeds in the tray
  - status dialog supports multiple IP addresses per interface
  - redesigned config dialog; should reduce information overload
  - plotter properties are saved per interface and accessible by right
    clicking a plotter
* Mon Sep 21 2009 herbert@graeber-clan.de
- Another fix to Obsoletes
* Mon Sep 21 2009 herbert@graeber-clan.de
- Fix Summary and Obsoletes tags
* Mon Aug  3 2009 herbert@graeber-clan.de
- Rename to knemo
* Wed Apr  1 2009 herbert@graeber-clan.de
- Update to version 0.5.2
  * fix config dialog so it preserves new position and size settings
  * events work again
  * sys backend uses iwlib instead of deprecated /sys/class/net/*/wireless
  * backends check the wireless access point for the encryption status
  * each monitored interface creates a plotter on startup but keeps it hidden;
    this way the plotter already has a history before it's made visible for the first time
  * don't inadvertently force libiw as a dependency
  * take range (or lack of it) into account when showing wireless link quality
  * if there is no config file, KNemo will monitor the default route interface; this
    should reduce confusion for first time users while remaining discreet
  * sys backend is now the default
* Sun Mar  8 2009 herbert@graeber-clan.de
- run ldconfig in post and postun sections
* Sat Mar  7 2009 herbert@graeber-clan.de
- exclude language sr@Latn
- symlink license
* Fri Mar  6 2009 herbert@graeber-clan.de
- initial package
